Subject: bug#22012: 25.1.50; gdb broken by (json-string-format "doesn't start with `\"'!")

From: martin rudalics <[email-masked]>
Date: Thu, 26 Nov 2015 17:58:48 +0100

> It is reading from the buffer where we insert the GDB response, you
 > can see that as a string in the backtrace you posted.

You mean *breakpoints of emacs.exe*?  This is the only buffer I see
mentioned in the backtrace.

 > Martin, can you try coming up with a reproducible recipe?

I would like to.  Yesterday I wasn't able to get around it.  Since
today's morning I'm not able to reproduce it.

 > It's hard
 > to debug a problem that one cannot reproduce.  (I tried to start
 > gdb-mi and step a few steps through the Emacs code, but never saw the
 > problem.)

When I manage to reproduce it, I will post the contents of the buffer.

martin